<template>
  <div class="whoami">
    <h2 class="whoami__title main-title">Qui-suis-je ?</h2>
    <div class="whoami__content">
      <div class="whoami__text">
        <p class="whoami__text__description">
          Hello ! Je m'appelle Lenny, j'ai <span data-js-age>23</span> ans et je
          suis développeur Full Stack.
        </p>
        <p class="whoami__text__description">{{ whoamiText }}</p>
        <nuxt-link to="/bio" class="whoami__text__link link-primary start"
          >En savoir plus</nuxt-link
        >
      </div>
      <img
        :alt="imgAlt"
        class="whoami__portrait"
        src="~assets/img/portrait.png"
        data-js-scroll
      />
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      whoamiText: `Passioné du web et de la technologie, découvrez mon parcours scolaire et professionnel sur ma page bio. 
      Je parle également de moi, de ma personnalité, de ce que j'aime. Je raconte un peu ma vie tout simplement.`,
      imgAlt: 'Mon portrait'
    }
  },
  mounted() {
    this.getAge()
  },
  methods: {
    getAge() {
      // Calcul pour déterminer mon age
      const ageTarget = document.querySelector('[data-js-age]')
      const birthdate = new Date('1996/9/9')
      const cur = new Date()
      const diff = cur - birthdate
      const age = Math.floor(diff / 31536000000)

      // On écrit l'age dans la phrase de présentation
      ageTarget.innerHTML = age
    }
  }
}
</script>

<style></style>
